Prolifto
API reference

Products

Catalog products and variants

Archive

POST
/products/archive

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/archive" \  -H "Content-Type: application/json" \  -d '{    "productId": "string"  }'
{}

Archive Many

POST
/products/archiveMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/archiveMany" \  -H "Content-Type: application/json" \  -d '{    "productIds": [      "string"    ]  }'
{}

Create

POST
/products/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/create" \  -H "Content-Type: application/json" \  -d '{}'
{}

Duplicate

POST
/products/duplicate

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/duplicate" \  -H "Content-Type: application/json" \  -d '{    "productId": "string"  }'
{}

Force Delete

POST
/products/forceDelete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/forceDelete" \  -H "Content-Type: application/json" \  -d '{    "productId": "string"  }'
{}

Force Delete Many

POST
/products/forceDeleteMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/forceDeleteMany" \  -H "Content-Type: application/json" \  -d '{    "productIds": [      "string"    ]  }'
{}

Generate Description

POST
/products/generateDescription

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/generateDescription" \  -H "Content-Type: application/json" \  -d '{    "productId": "string",    "name": "string"  }'
{}

Get Many

GET
/{organizationSlug}/products

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

brand?|
categoryId?|
collectionId?|
deletedOnly?boolean
Defaultfalse
inventory?string
Value in"IN_STOCK" | "OUT_OF_STOCK"
limit?number
Default10
Range1 <= value <= 100
orderBy?array<>
Default["created_desc"]
page?number
Default1
Range1 <= value
priceMax?|
priceMin?|
privacy?string
Value in"PUBLIC" | "PRIVATE"
search?|
status?string
Value in"DRAFT" | "ACTIVE" | "ARCHIVED"

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/products"
{}

Get Many Lite

GET
/{organizationSlug}/products/lite

Path Parameters

organizationSlug*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/products/lite"
{}

Get Names By Ids

POST
/products/getNamesByIds

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/getNamesByIds" \  -H "Content-Type: application/json" \  -d '{    "productIds": [      "string"    ]  }'
{}

Get Neighbors

POST
/products/getNeighbors

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/getNeighbors" \  -H "Content-Type: application/json" \  -d '{    "productId": "string"  }'
{}

Get One

GET
/{organizationSlug}/products/{productSlug}

Path Parameters

organizationSlug*string
Length1 <= length
productSlug*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/products/string"
{}

Import

POST
/products/import

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/import" \  -H "Content-Type: application/json" \  -d '{    "csv": "string"  }'
{}

Import Preview

POST
/products/importPreview

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/importPreview" \  -H "Content-Type: application/json" \  -d '{    "csv": "string"  }'
{}

Import Status

POST
/products/importStatus

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/importStatus" \  -H "Content-Type: application/json" \  -d '{    "jobId": "string"  }'
{}

Publish

POST
/products/publish

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/publish" \  -H "Content-Type: application/json" \  -d '{    "productId": "string"  }'
{}

Publish Many

POST
/products/publishMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/publishMany" \  -H "Content-Type: application/json" \  -d '{    "productIds": [      "string"    ],    "status": "DRAFT"  }'
{}

Restore

POST
/products/restore

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/restore" \  -H "Content-Type: application/json" \  -d '{    "productId": "string"  }'
{}

Restore Many

POST
/products/restoreMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/restoreMany" \  -H "Content-Type: application/json" \  -d '{    "productIds": [      "string"    ]  }'
{}

Update Details

POST
/products/updateDetails

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/updateDetails" \  -H "Content-Type: application/json" \  -d '{    "productId": "string"  }'
{}

Update Privacy

POST
/products/updatePrivacy

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/updatePrivacy" \  -H "Content-Type: application/json" \  -d '{    "productId": "string",    "privacy": "PUBLIC"  }'
{}

Update Privacy Many

POST
/products/updatePrivacyMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/updatePrivacyMany" \  -H "Content-Type: application/json" \  -d '{    "privacy": "PUBLIC",    "productIds": [      "string"    ]  }'
{}

Update Track Inventory

POST
/products/updateTrackInventory

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/products/updateTrackInventory" \  -H "Content-Type: application/json" \  -d '{    "productId": "string",    "trackInventory": true  }'
{}